TokyoTyrantIterator::valid
Date and Time Related Extensions
tokyo_tyrant
PHP Manual

# The TokyoTyrantException class

(PECL tokyo_tyrant >= 0.1.0)

## Introduction

TokyoTyrantException

## Class synopsis

tokyotyrantexception extends Exception {
/* Properties */
protected int $code ;
/* Inherited properties */
protected string $message ;
protected int $code ;
protected string $file ;
protected int $line ;
/* Inherited methods */
final public string Exception::getMessage ( void )
final public Exception Exception::getPrevious ( void )
final public mixed Exception::getCode ( void )
final public string Exception::getFile ( void )
final public int Exception::getLine ( void )
final public array Exception::getTrace ( void )
final public string Exception::getTraceAsString ( void )
public string Exception::__toString ( void )
final private void Exception::__clone ( void )
}

## Properties

code

  The exception code. This can be compared to `TokyoTyrant::TTE_*` constants

TokyoTyrantIterator::valid
Date and Time Related Extensions
tokyo_tyrant
PHP Manual